## spatialite 3.0.0~beta20110817

=== debian/changelog ===
spatialite (3.0.0~beta20110817-3) unstable; urgency=medium

  [ Francesco Paolo Lovergine ]
  * Fixed linking order for sqlite3 in debian patch 00-systemlibs.patch.
    (closes: #638929)

  [ David Paleino ]
  * Conditionally disable full EPSG initialization (for srs_init.c)
    on powerpc, and document what projections are available on that
    architecture (Closes: #649302)

 -- David Paleino <dapal@debian.org>  Mon, 21 Nov 2011 12:10:43 +0100

spatialite (3.0.0~beta20110817-2) unstable; urgency=low

  * Added 04-fix_missing_define.patch to re-add GAIA_WAVELET_BLOB support
    as used by current rasterlite.
    (closes: #646463, #646450)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 27 Oct 2011 12:17:11 +0200

spatialite (3.0.0~beta20110817-1) unstable; urgency=low

  [ Alan Boudreault ]
  * Added libexpat1-dev as build-dep.

  [ Francesco Paolo Lovergine ]
  * Fixed get-orig-tarball to use full version for pre-release tarballs.
  * Policy bumped to 3.9.2, without changes.
  * The mega-patch systemlibs.diff has been updated.
  * Removed .pc file manipulation. 

  [ David Paleino ]
  * New upstream pre-release
  * Use "3.0 (quilt)" source format.
  * systemlibs.diff renamed to 00-systemlibs.patch, and refreshed to only
    include significant changes. Autotools files are now updated and cleaned
    by dh-autoreconf.
  * debian/rules rewritten using dh7.
  * debian/rules: rename get-orig-tarball target to get-orig-source.
  * Update Vcs-* fields to reflect SVN→Git migration
  * Added myself to Uploaders
  * Split 'foreign' addition to AUTOMAKE_OPTIONS from 00-systemlibs.patch.
  * Add Build-Depends on libfreexl-dev
  * Bump debhelper compatibility to 8

 -- David Paleino <dapal@debian.org>  Sat, 08 Oct 2011 21:09:50 +0200

spatialite (2.4.0~rc2-5) unstable; urgency=medium

  [ Alan Boudreault ]
  * Added spatialite_tool and spatialite_osm binaries in spatialite-bin.
  * Changed build-dep libsqlite3-dev to (>= 3.6.11): spatialite uses "hot backup"
    interface of sqlite3.
    (closes: #576743)
  * VirtualText has been updated long time ago.
    (closes: #530422)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 24 May 2010 11:02:26 +0200

spatialite (2.4.0~rc2-4) unstable; urgency=medium

  * Now -dev package depends also on libsqlite3-dev.
  * Added a symlink for sqlite3.h within /usr/include/spatialite because other
    softwares could look for that at configure time (e.g. ATM gdal).

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 07 May 2010 14:53:21 +0200

spatialite (2.4.0~rc2-3) unstable; urgency=medium

  * Restored right version of .install file.
    (closes: #577568)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 18 Apr 2010 22:43:15 +0200

spatialite (2.4.0~rc2-2) unstable; urgency=low

  * Fixed wrong dependency in the -dev package, still around after
    libtool version change.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 04 Apr 2010 08:07:52 +0200

spatialite (2.4.0~rc2-1) unstable; urgency=low

  * New upstream pre-release candidate.
  * A new mega-patch systemlibs.diff introduced to use system-wide
    sqlite3 stuff and drop the libtool helpers use for sqlite3, geos and proj.
    Also changed libtool versioning to avoid not proper SONAME bumping, after
    a private thread with Sandro.
    (closes: #567615)
  * Revised the get-orig-source to work with a single upstream archive.
    That renders the archive compatible with dpkg format 3.0.
    (closes: #538566)
  * Now use libreadline-dev as build-dep.
    (closes: #553855)
  * Do not install spatialite .la file as well.
  * Added Vcs-* fields.
  * Policy bumped to 3.8.4.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 25 Mar 2010 16:02:42 +0100

spatialite (2.3.0-1) unstable; urgency=low

  * New upstream release with partial repackaing to cope with upstream changes.
  * New upstream packaging: now this package includes all spatialite-related 
    tarballs to provide the whole set of binary packages, based on the 
    amalgameted sources.
  * Added quilt support. Now the upstream tarball is included as a
    compressed archive to facilitate interactive cleanaups and patching.
  * [PATCH] split.diff removes embedded sqlite3 and uses system library.
    The patch is built by autoreconfiguring a suitable fixed automake
    root file.
  * [PATCH] tools.diff allows building without pre-installation and fixes use
    of static libs instead of libtools helpers for external libraries.
  * Removed superfluous removing of *-stamp files.
  * Removed init SQL file, initialization is now embedded in the library.
  * Removed README installation: it documents purely installation.
  * Currently still does not build spatialite-gui.
  * Now the library is distributed under MPL 1.1, tools under GPL-3: changed
    debian/copyright to explain that.
  * Now adds pkg-config support (fixed for Debian use).
    (closes: #519251)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 31 Mar 2009 09:53:03 +0200

spatialite (2.3~beta1-1) UNRELEASED; urgency=low

  * Initial release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 13 Mar 2009 16:01:40 +0100
