## spatialite 3.1.0~rc2

=== debian/changelog ===
spatialite (3.1.0~rc2-2) unstable; urgency=low

  * Added 08-split_code.patch: split Spatial Reference System initialization
    code to multiple files, to avoid a GCC bug on some arches (Closes: #664547)
  * Use canonical Vcs-* urls
  * Standards-Version bump to 3.9.4, no changes needed
  * Updated symbols-file

 -- David Paleino <dapal@debian.org>  Sun, 27 Jan 2013 19:57:59 +0100

spatialite (3.1.0~rc2-1) unstable; urgency=low

  * New upstream release candidate.
  * Removed 05-dont_relink.patch and 06-fix_soname.patch, both merged
    upstream.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 03 Apr 2012 15:07:12 +0200

spatialite (3.0.2~20120302-1) unstable; urgency=low

  * New upstream pre-release.
  * Added 07-fix_spatialite_pc.patch: now avoid re-linking also in spatialite.pc 
    file.
  * Patchset refreshed.
  * New SONAME set to be compatible with that issued until now.
  * Updated symbols file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 02 Mar 2012 12:57:36 +0100

spatialite (3.0.1-1) unstable; urgency=low

  * New upstream release.
    (closes: #661018)
  * Patchset refreshed. Finally, Sandro is now following a sane policy with 
    SONAME versioning. Better than never.
  * This version is compatible with Freexl >= 1.0.0 only.
  * Now spatialite source includes the library only, spatialite-tools moved
    to a new package.
  * Rules script greatly semplified.
  * For safety added a Breaks against previous version of spatialite-bin,
    that should allow a more smooth upgrade with new splitted packages.
  * Force Geos 3.3+ use for a working test suite.
  * Policy bumped to 3.9.3. No changes required.
  * Added a patch 05-dont_relink.patch to avoid (superfluous) relinking against
    the C++ geos library. It now causes a failure at configuration time
    because the C/C++ libraries are now splitted.
  * Added a 06-fix_soname.patch patch to use a correct SONAME versioning.
  * Symbol file updated for current 3.0.1.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Feb 2012 14:36:30 +0100

spatialite (3.0.0~beta20110817-3) unstable; urgency=low

  [ Francesco Paolo Lovergine ]
  * Fixed linking order for sqlite3 in debian patch 00-systemlibs.patch.
    (closes: #638929)

  [ David Paleino ]
  * Conditionally disable full EPSG initialization (for srs_init.c)
    on powerpc, and document what projections are available on that
    architecture (Closes: #649302)

 -- David Paleino <dapal@debian.org>  Mon, 21 Nov 2011 12:10:43 +0100
