=== debian/control ===
Source: spatialite
Section: science
Priority: extra
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>, David Paleino <dapal@debian.org>
Build-Depends:
 debhelper (>= 8)
 , autotools-dev
 , libsqlite3-dev (>= 3.6.11)
 , libgeos-dev (>= 3.3.0)
 , libproj-dev
 , libreadline-dev
 , libexpat1-dev
 , libfreexl-dev (>= 1.0.0)
 , pkg-config
Standards-Version: 3.9.4
Homepage: http://www.gaia-gis.it/spatialite/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-grass/spatialite.git
Vcs-Git: git://anonscm.debian.org/pkg-grass/spatialite.git

Package: libspatialite3
Architecture: any
Section: libs
Breaks: spatialite-bin (<< 3.0.0-1~)
Depends:
 ${shlibs:Depends}
 , ${misc:Depends}
Description: Geospatial extension for SQLite - libraries
 The SpatiaLite extension enables SQLite to support spatial (geometry) data
 in a way conformant to OpenGis specifications, with both WKT and WKB formats.
 .
 Spatialite also includes Virtualshape and Virtualtext to enable accessing
 shapefiles and csv/text files as virtual tables.
 .
 This package contains all shared libraries used by Spatialite based programs.

Package: libspatialite-dev
Architecture: any
Section: libdevel
Depends:
 libspatialite3 (= ${binary:Version})
 , ${shlibs:Depends}
 , ${misc:Depends}
 , libsqlite3-dev (>= 3.3.6)
Recommends: pkg-config
Description: Geospatial extension for SQLite - development files
 The SpatiaLite extension enables SQLite to support spatial (geometry) data
 in a way conformant to OpenGis specifications, with both WKT and WKB formats.
 .
 Spatialite also includes Virtualshape and Virtualtext to enable accessing
 shapefiles and csv/text files as virtual tables.
 .
 This package contains development (static libraries and header files).
