## spatialite 4.1.1

=== debian/changelog ===
spatialite (4.1.1-5ubuntu1) trusty; urgency=medium

  * Ignore test results on arm64. See LP: #1284199.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 26 Feb 2014 12:31:05 +0100

spatialite (4.1.1-5) experimental; urgency=low

  * Enable building with libxml2 support.
  * Add 11-link-libxml2.patch to link libxml2 when building test cases.
  * Update symbols file for XML related symbols.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 14 Dec 2013 16:03:47 +0100

spatialite (4.1.1-4) experimental; urgency=low

  * Change Priority to optional, keep Priority extra for -dbg package.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 21 Nov 2013 23:30:58 +0100

spatialite (4.1.1-3) experimental; urgency=low

  * Disable tests only on architectures where they fail.
  * Disable additional testcases failing on arm* and mips*.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 14 Nov 2013 15:10:23 +0100

spatialite (4.1.1-2) experimental; urgency=low

  * Disable hexgrid22.testcase, fails on 32bit archs.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 21 Oct 2013 13:32:59 +0200

spatialite (4.1.1-1) experimental; urgency=low

  * New upstream version.
  * Update debian/watch, use sepwatch improvements and address common mistakes.
  * Use dh-autoreconf to run autoreconf during build.
  * Update copyright file, use copyright-format 1.0 (dep5).
  * Use canonical URLs for Vcs-* fields.
  * Add lintian overrides for no upstream changelog, link to online timeline.
  * Strip debian revision in symbols file.
  * Use upstream version without debian revision when generating symbols.
  * Add patch to set automake option subdir-objects.
  * Bump Standards-Version to 3.9.4, changes: copyright, Vcs-* fields, symbols.
  * Update Homepage URL.
  * Disable fromgeojson22.testcase on advise from upstream, fails on armel,
    armhf, mips & mipsel with a minor rounding difference.
    (closes: #725267)
  * Fix dev package description.
    (closes: #725717)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 29 Sep 2013 22:00:45 +0200

spatialite (4.1.0-1~ubuntu1) experimental; urgency=low

  * New upstream release.
  * Updated symbols file.
  * Updated 07-fix_spatialite_pc.patch.
  * Added zlib1g-dev to build-deps.

 -- Jerome Villeneuve Larouche <jlarouche@mapgears.com>  Tue, 18 Jun 2013 10:56:13 -0400

spatialite (4.0.0-1) experimental; urgency=low

  * New upstream version.
  * Updated debian/watch.
  * Patchset refreshed, 04-fix_missing_define.patch dropped.
  * Debhelper compatibility bumped to 9.
  * Standards-Version bump to 3.9.4, no changes needed.
  * Also build a debugging symbols package: libspatialite3-dbg.
  * SONAME bump: from libspatialite3 to libspatialite5.
  * Updated symbols file.
  * Backup and restore test databases, they get modified during
    build-time tests.
  * Multi-archified package.

 -- David Paleino <dapal@debian.org>  Sat, 01 Dec 2012 18:25:53 +0100
