## spatialite 4.3.0

=== debian/changelog ===
spatialite (4.3.0-3) unstable; urgency=medium

  * Reinstate liblwgeom-dev (build) dependency.
  * Update Vcs-Browser URL to use HTTPS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Aug 2015 09:38:42 +0200

spatialite (4.3.0-2) unstable; urgency=medium

  * Drop build dependency on liblwgeom-dev to untangle
    spatialite->postgis->gdal->spatialite circular dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Aug 2015 16:07:19 +0200

spatialite (4.3.0-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Jul 2015 11:57:46 +0200

spatialite (4.3.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright years.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 21:21:04 +0200

spatialite (4.3.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jun 2015 15:26:55 +0200

spatialite (4.3.0~rc0-1~exp1) experimental; urgency=medium

  * Update watch file to use lowercase rc in upstream version mangle.
  * New upstream release candidate.
  * Drop patches applied upstream, refresh remaining patches.
  * Update copyright file for new files.
  * Rename library package to libspatialite7 to match fixed SONAME,
    rename debug package to libspatialite-dbg.
  * Add suggested configuration options by upstream:
    --enable-lwgeom=yes --enable-gcp=yes
    See the '4.3.0: note for builders and packages' thread on spatialite-users:
    https://groups.google.com/d/msg/spatialite-users/uawzaLjzbo4/_0JqJ8a6HmAJ
  * Add patch to fix SONAME, the SOVERSION was incorrectly decremented to 0.
  * Update symbols for 4.3.0 release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Jun 2015 20:38:28 +0200

spatialite (4.2.1~rc1-1~exp5) experimental; urgency=medium

  * Also install spatialite_private.h for pyspatialite builds.
  * Add dependency on zlib1g-dev to libspatialite-dev for zlib.h.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 21 May 2015 16:08:33 +0200

spatialite (4.2.1~rc1-1~exp4) experimental; urgency=medium

  * Use version 4.2.1~ for new symbols.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 14 May 2015 20:22:11 +0200

spatialite (4.2.1~rc1-1~exp3) experimental; urgency=medium

  * Update my email to use @debian.org address.
  * Update copyright file, changes:
    - Align copyright holders
    - Drop .0 from GPL license shortname

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 May 2015 22:52:20 +0200

spatialite (4.2.1~rc1-1~exp2) experimental; urgency=medium

  * Add upstream metadata.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Rename mod-spatialite package to libsqlite3-mod-spatialite.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 11 Jan 2015 22:40:46 +0100

spatialite (4.2.1~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Set experimental branch in Vcs-Git and gbp.conf.
  * Remove 03-link-m.patch, applied upstream.
  * Update package names for SONAME bump.
  * Update copyright file, consolidate files paragraphs.
  * Update 13-succesfully-typo.patch.
  * Bump Standards-Version to 3.9.6, no changes.
  * Update symbols for 4.2.1 release.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 28 Nov 2014 18:57:53 +0100

spatialite (4.2.0-1~exp1) experimental; urgency=low
 
  * New upstream release candidate.
  * Refresh patches.
  * Update copyright file.
  * Add patch to fix check_multithread build failure by linking libpthread.
  * Drop --enable-libxml2, libxml2 support is enabled by default now.
  * Add patch to fix 'successfully' typo.
  * Add mod-spatialite package for the loadable extension module.
  * Add patch to link libm for math functions.
  * Update symbols for 4.2.0 release.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 03 Aug 2014 23:37:04 +0200

spatialite (4.1.1-10) unstable; urgency=medium

  * Enable verbose test output.
  * Ignore test failures instead of disabling many tests.
    (closes: #746912)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 01 Jun 2014 13:39:11 +0200

spatialite (4.1.1-9) unstable; urgency=medium

  * Only install example C files, Makefile is architecture specific.
    (closes: #743683)

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 05 Apr 2014 13:06:36 +0200

spatialite (4.1.1-8) unstable; urgency=medium

  * Don't build (but do install) examples, causes gcc-4.8 to segfaul on armhf.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 04 Apr 2014 11:56:16 +0200

spatialite (4.1.1-7) unstable; urgency=medium

  * Add NEWS entry for switch from SpatiaLite 3.0 to 4.1.
  * Drop lintian overrides for no-upstream-changelog.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 03 Apr 2014 22:52:47 +0200

spatialite (4.1.1-6) unstable; urgency=low

  * Add gbp.conf to use pristine-tar by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 17 Mar 2014 22:56:06 +0100
