=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

FULL_VERSION := $(shell dpkg-parsechangelog | grep ^Version | cut -d' ' -f2 | cut -d- -f1)
VERSION := $(shell echo $(FULL_VERSION) | sed -e "s/~beta[[:digit:]]\+/-BETA/")
LC_VERSION := $(shell echo $(VERSION) | tr A-Z a-z)
SPATIALITE_VERSION := $(shell dpkg-parsechangelog | sed -ne 's/^Version: \(.*\)-.*/\1/p' | sed -e 's/\+.*//; s/^[0-9]://')

BASE_URL := http://www.gaia-gis.it/gaia-sins

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

# see FTBFS #649302
ifeq ($(DEB_HOST_ARCH),powerpc)
EPSG := --disable-epsg
else
EPSG :=
endif

# Verbose test output
export VERBOSE=1

%:
	dh $@ --with autoreconf

versions:
	@echo "Spatialite full version: $(FULL_VERSION)"
	@echo "Spatialite version: $(LC_VERSION)"
	@echo "Spatialite symbols: $(SPATIALITE_VERSION)"

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-geos \
		$(EPSG) \
		--enable-proj \
		--enable-lwgeom=yes \
		--enable-gcp=yes \
		--disable-examples

override_dh_auto_test:
	mkdir -p debian/backup/stmt
	cp test/*.sqlite debian/backup/
	cp test/sql_stmt_tests/*.sqlite debian/backup/stmt/

	dh_auto_test || echo "Ignoring test failures"

	cp debian/backup/stmt/*.sqlite test/sql_stmt_tests/
	cp debian/backup/*.sqlite test/
	rm -rf debian/backup

override_dh_makeshlibs:
	dh_makeshlibs -- -v$(SPATIALITE_VERSION)

override_dh_shlibdeps:
	dh_shlibdeps -l/usr/lib:$(CURDIR)/debian/tmp/usr/lib

override_dh_strip:
	dh_strip --dbg-package=libspatialite-dbg

override_dh_install:
	$(RM) debian/*/usr/lib/*/*.la
	dh_install --list-missing
