## spatialite 4.3.0a

=== debian/changelog ===
spatialite (4.3.0a-6build1) focal; urgency=medium

  * Rebuild against new libproj15.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 26 Oct 2019 13:59:18 +0200

spatialite (4.3.0a-6) unstable; urgency=medium

  * Enable all hardening buildflags.
  * Reorder build dependencies.
  * Reorder configure options.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Change priority from extra to optional.
  * Strip trailing whitespace from changelog, control & rules files.
  * Update copyright-format URL to use HTTPS.
  * Update watch file to use HTTPS.
  * Update Vcs-* URLs for Salsa.
  * Drop obsolete dbg package.
  * Add Build-Depends-Package field to symbols file.
  * Bump Standards-Version to 4.4.0, changes: priority.
  * Add -DACCEPT_USE_OF_DEPRECATED_PROJ_API_H to CFLAGS for PROJ 6.0.0.
  * Remove package name from lintian overrides.
  * Update URL to SQLite Loadable Extensions documentation.
  * Enable parallel builds, disable parallel test execution.
  * Add lintian override for testsuite-autopkgtest-missing.
  * Add patch to fix spelling errors.
  * Update gbp.conf to use --source-only-changes by default.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 11 Jul 2019 11:31:52 +0200

spatialite (4.3.0a-5) unstable; urgency=medium

  * Update Vcs-Git URL to use HTTPS.
  * Drop build dependency on liblwgeom-dev to untangle
    spatialite->postgis->gdal->spatialite circular dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Feb 2016 16:14:18 +0100

spatialite (4.3.0a-4) unstable; urgency=medium

  * Require at least liblwgeom-dev 2.2.1 for postgis mini-transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jan 2016 21:25:08 +0100

spatialite (4.3.0a-3) unstable; urgency=medium

  * Add patch to switch from lw_vasprintf() to sqlite3_vmprintf().
    (closes: #807556)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 10 Dec 2015 12:14:34 +0100

spatialite (4.3.0a-2) unstable; urgency=medium

  * Require at least liblwgeom-dev 2.2.0 for postgis mini-transition.
  * Drop unused BASE_URL variable from rules file.
  * Add patch to fix 'occurrence' typo.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Dec 2015 23:23:32 +0100

spatialite (4.3.0a-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 09 Sep 2015 08:20:15 +0200
