## spatialite 4.4.0~rc1

=== debian/changelog ===
spatialite (4.4.0~rc1-1~exp2) experimental; urgency=medium

  * Bump Standards-Version to 4.0.0, no changes.
  * Add autopkgtest to test installability.
  * Enable PIE hardening buildflags.
  * Use pkg-info.mk variables instead of dpkg-parsechangelog output.
  * Add patch to fix spelling errors.
  * Drop unused override for package-has-long-file-name.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 26 Jun 2017 15:35:51 +0200

spatialite (4.4.0~rc1-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Update symbols for 4.4.0~rc1.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 May 2016 14:56:19 +0200

spatialite (4.4.0~rc0+20160424-f73a4c7295+1-1~exp1) experimental; urgency=medium

  * New upstream fossil snapshot.
  * Bump Standards-Version to 3.9.8, no changes.
  * Enable bindnow hardening buildflags.
  * Update copyright file, changes:
    - Update copyright years for Alessandro Furieri
  * Enable rttopo support.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 05 May 2016 20:27:27 +0200

spatialite (4.4.0~rc0-1~exp4) experimental; urgency=medium

  * Bump Standards-Version to 3.9.7, no changes.
  * Require at least libgeos-dev 3.5.0 for geosreentrant support.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 19 Feb 2016 16:19:35 +0100

spatialite (4.4.0~rc0-1~exp3) experimental; urgency=medium

  * Merge changes from spatialite (4.3.0a-5).
    - Update Vcs-Git URL to use HTTPS.
    - Drop build dependency on liblwgeom-dev to untangle
      spatialite->postgis->gdal->spatialite circular dependency.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 05 Feb 2016 17:25:37 +0100

spatialite (4.4.0~rc0-1~exp2) experimental; urgency=medium

  * Merge changes from spatialite (4.3.0a-4).
    - Require at least liblwgeom-dev 2.2.1 for postgis mini-transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 12 Jan 2016 21:37:29 +0100

spatialite (4.4.0~rc0-1~exp1) experimental; urgency=medium

  * New upstream release candidate.
  * Drop patches, applied upstream.
  * Update copyright file, drop files section for asprintf4win.h.
  * Enable parallel builds, disable parallel test execution.
  * Update symbols for 4.4.0~rc0.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 15 Dec 2015 22:03:12 +0100
