=== debian/control ===
--- 
+++ 
@@ -5,21 +5,22 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9.20160114),
+Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                autotools-dev,
                libexpat1-dev,
                libfreexl-dev,
-               libgeos-dev (>= 3.3.0),
+               libgeos-dev (>= 3.5.0),
                libproj-dev,
                libreadline-dev,
+               librttopo-dev,
                libsqlite3-dev,
                libxml2-dev,
                pkg-config,
                zlib1g-dev
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/debian-gis-team/spatialite
-Vcs-Git: https://salsa.debian.org/debian-gis-team/spatialite.git
+Standards-Version: 4.0.0
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/spatialite.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-grass/spatialite.git -b experimental
 Homepage: https://www.gaia-gis.it/fossil/libspatialite
 
 Package: libspatialite7
@@ -45,6 +46,7 @@
 Section: libdevel
 Depends: libspatialite7 (= ${binary:Version}),
          libsqlite3-dev,
+         librttopo-dev,
          zlib1g-dev,
          ${misc:Depends}
 Recommends: pkg-config
@@ -56,6 +58,24 @@
  shapefiles and csv/text files as virtual tables.
  .
  This package contains development files (static libraries and header files).
+
+Package: libspatialite-dbg
+Architecture: any
+Multi-Arch: same
+Section: debug
+Priority: extra
+Depends: libspatialite7 (= ${binary:Version}),
+         ${misc:Depends}
+Breaks: libspatialite6-dbg (<< 4.3.0~rc0-1~)
+Replaces: libspatialite6-dbg (<< 4.3.0~rc0-1~)
+Description: Geospatial extension for SQLite - debugging symbols
+ The SpatiaLite extension enables SQLite to support spatial (geometry) data
+ in a way conformant to OpenGis specifications, with both WKT and WKB formats.
+ .
+ Spatialite also includes Virtualshape and Virtualtext to enable accessing
+ shapefiles and csv/text files as virtual tables.
+ .
+ This package contains debugging symbols for the libraries.
 
 Package: libsqlite3-mod-spatialite
 Architecture: any
@@ -72,3 +92,4 @@
  shapefiles and csv/text files as virtual tables.
  .
  This package contains the loadable extension module for SQLite 3.
+
